from Products.Archetypes.public import BaseFolder, registerType
from Products.Archetypes.atapi import *
from Products.SimpleFolderWithWorkflow.config import PROJECTNAME


class SimpleFolderWithWorkflow(BaseFolder):
    "A folder to put simple things in."
    allowed_content_types = ('SimpleThingWithWorkflow', )
    filter_content_types = 1
    _at_rename_after_creation = True

registerType(SimpleFolderWithWorkflow, PROJECTNAME)


class SimpleThingWithWorkflow(BaseContent):
    """An Archetype for simple things (only allowed in simple folders)"""
    _at_rename_after_creation = True
    global_allow = 0

registerType(SimpleThingWithWorkflow, PROJECTNAME)
